Compiling for Maya 2016 . . .

View previous topic View next topic Go down

Compiling for Maya 2016 . . .

Post by Fishypants on Fri Jun 12, 2015 11:37 am

First of all, thank you so much for releasing the source code! This will allow us to make sure we can keep using your plugin when future versions of Maya are released!

I'm having an issue though, trying to compile for Maya 2016. I know as of 2016 Maya is no longer distributed with the include directory and you have to download it separately, which is fine, as I have that working ok and some of my other plugins already compiled and working.

The problem is, I'm using Visual Studio 2010 Express . . . and from what I can gather, OpenMP doesn't work out of the box with the Express version as its missing the omp.h and some dlls . . .

Would you happen to know off hand how to get fStretch to either compile using Visual Studio Express, or alternatively, if it is possible to disable OpenMP in the plugin?

Thanks!

Fishypants

Posts : 1
Join date : 2015-06-12

View user profile

Back to top Go down

Re: Compiling for Maya 2016 . . .

Post by Admin on Tue Jul 14, 2015 2:37 pm

Ah yes, the express version of visual studio can be quite troublesome when trying to compile, I would recommend the full version. For open MP you can always remove the lines that use it but there are a lot, and the plug in will be much slower. Open MP is for multi threading. You will have a huge speed difference without it.

Admin
Admin

Posts : 7
Join date : 2015-03-13

View user profile http://cgaddict.forummotion.com

Back to top Go down

View previous topic View next topic Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum